//***************************克哈RA2平衡小车***************************************//
#ifndef I2C_SOFT_H_
#define I2C_SOFT_H_

//IO方向设置
#define SDA_IN()    R_IOPORT_PortDirectionSet(&g_ioport_ctrl, BSP_IO_PORT_00, 0<<2, 1<<2)
#define SDA_OUT()   R_IOPORT_PortDirectionSet(&g_ioport_ctrl, BSP_IO_PORT_00, 1<<2, 1<<2)

#define SCL_HIGH    R_IOPORT_PinWrite(&g_ioport_ctrl, BSP_IO_PORT_00_PIN_01, 1)
#define SCL_LOW     R_IOPORT_PinWrite(&g_ioport_ctrl, BSP_IO_PORT_00_PIN_01, 0)

#define SDA_HIGH    R_IOPORT_PinWrite(&g_ioport_ctrl, BSP_IO_PORT_00_PIN_02, 1)
#define SDA_LOW     R_IOPORT_PinWrite(&g_ioport_ctrl, BSP_IO_PORT_00_PIN_02, 0)


void IIC_Init(void);
void IIC_Start(void);
void IIC_Stop(void);
unsigned char IIC_Slave_Ack(void);
void IIC_Send_Byte(unsigned char byte);
unsigned char IIC_Read_Byte(void);
void IIC_Write_One_Byte(unsigned char SlaveAddress,unsigned char REG_Address,unsigned char REG_data);
unsigned char IIC_Read_One_Byte(unsigned char SlaveAddress,unsigned char REG_Address);
unsigned short int IIC_Read_Two_Bytes(unsigned char SlaveAddress,unsigned char REG_Address);














#endif /* OLED_H_ */
